Bug 1689494 - Review Request: python-xarray - N-D labeled arrays and datasets in Python
Summary: Review Request: python-xarray - N-D labeled arrays and datasets in Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1689493
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-16 07:24 UTC by Elliott Sales de Andrade
Modified: 2019-07-31 01:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 01:04:41 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-03-16 07:24:04 UTC
Spec URL: https://qulogic.fedorapeople.org//python-xarray.spec
SRPM URL: https://qulogic.fedorapeople.org//python-xarray-0.12.0-1.fc29.src.rpm

Description:
Xarray (formerly xray) is an open source project and Python package that
makes working with labelled multi-dimensional arrays simple, efficient,
and fun!

Xarray introduces labels in the form of dimensions, coordinates and
attributes on top of raw NumPy-like arrays, which allows for a more
intuitive, more concise, and less error-prone developer experience. The
package includes a large and growing library of domain-agnostic functions
for advanced analytics and visualization with these data structures.

Xarray was inspired by and borrows heavily from pandas, the popular data
analysis package focused on labelled tabular data. It is particularly
tailored to working with netCDF files, which were the source of xarray's
data model, and integrates tightly with dask for parallel computing.

Comment 1 Robert-André Mauchin 2019-03-18 19:03:18 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "*No copyright* Apache License", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* GNU General Public License", "*No copyright*
     Creative Commons Attribution-ShareAlike Public License (v3.0)". 176
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-xarray/review-python-
     xarray/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-xarray
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-xarray-0.12.0-1.fc31.noarch.rpm
          python-xarray-doc-0.12.0-1.fc31.noarch.rpm
          python-xarray-0.12.0-1.fc31.src.rpm
python3-xarray.noarch: W: spelling-error Summary(en_US) datasets -> data sets, data-sets, databases
python3-xarray.noarch: W: spelling-error %description -l en_US xray -> cray, ray, tray
python3-xarray.noarch: W: spelling-error %description -l en_US labelled -> labeled, la belled, la-belled
python3-xarray.noarch: W: spelling-error %description -l en_US analytics -> analytic, analytic s, paralytics
python3-xarray.noarch: W: spelling-error %description -l en_US netCDF -> netted
python3-xarray.noarch: W: spelling-error %description -l en_US dask -> ask, desk, disk
python-xarray-doc.noarch: W: summary-not-capitalized C xarray documentation
python-xarray-doc.noarch: W: file-not-utf8 /usr/share/doc/python-xarray-doc/html/_downloads/902a092d45b8542be0d8d24eb7af4df6/auto_gallery_python.zip
python-xarray-doc.noarch: W: file-not-utf8 /usr/share/doc/python-xarray-doc/html/_downloads/92d2a76e876731733b87e54cd306d1b8/auto_gallery_jupyter.zip
python-xarray-doc.noarch: E: wrong-script-interpreter /usr/share/doc/python-xarray-doc/html/_static/dataset-diagram-build.sh /usr/bin/env bash
python-xarray-doc.noarch: W: uncompressed-zip /usr/share/doc/python-xarray-doc/html/_downloads/902a092d45b8542be0d8d24eb7af4df6/auto_gallery_python.zip
python-xarray-doc.noarch: W: uncompressed-zip /usr/share/doc/python-xarray-doc/html/_downloads/92d2a76e876731733b87e54cd306d1b8/auto_gallery_jupyter.zip
python-xarray.src: W: spelling-error Summary(en_US) datasets -> data sets, data-sets, databases
python-xarray.src: W: spelling-error %description -l en_US xray -> cray, ray, tray
python-xarray.src: W: spelling-error %description -l en_US labelled -> labeled, la belled, la-belled
python-xarray.src: W: spelling-error %description -l en_US analytics -> analytic, analytic s, paralytics
python-xarray.src: W: spelling-error %description -l en_US netCDF -> netted
python-xarray.src: W: spelling-error %description -l en_US dask -> ask, desk, disk
3 packages and 0 specfiles checked; 1 errors, 17 warnings.

Comment 2 Gwyn Ciesla 2019-03-19 13:55:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-xarray

Comment 3 Fedora Update System 2019-07-22 04:57:37 UTC
FEDORA-2019-6afef5c6b2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6afef5c6b2

Comment 4 Fedora Update System 2019-07-23 00:54:32 UTC
python-xarray-0.12.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6afef5c6b2

Comment 5 Fedora Update System 2019-07-31 01:04:41 UTC
python-xarray-0.12.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.